templates:
- freestyle
- base
- github

catalog:
  title: ${project-name}

variables:
  description: OpenH264 library for H.264 encoding and decoding.
  keywords:
  - multimedia
  - codec

  github.user: cisco
  github.project: openh264
  branches:
  - master
  tags:
  - v1.7.0

  extra-requires:
  - meta: nasm
  extra-provides:
  - pkg-config: openh264

  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - gcc
      - git
      - make

  shell.command: |
    # export toolkit path in case nasm is installed there
    export PATH="${toolkit.dir}/bin/:$PATH"

    make -j${make.threads|1}

    # install into toolkit dir
    make PREFIX="${toolkit.dir}" install
